| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
Precision_Voltage_Source.ino File Reference

Go to the source code of this file.

## Functions
LiquidCrystal | lcd (RS, E, D4, D5, D6, D7)
static void | setup ()
static void | loop ()
static int8_t | read_switches ()
static void | init_dac ()
static void | set_voltage ()
static void | display_decimal ()
static void | display_hex ()
static void | set_voltage_hex ()

## Variables
const int16_t | RS = 8
const int16_t | E = 9
const int16_t | D4 = 4
const int16_t | D5 = 5
const int16_t | D6 = 6
const int16_t | D7 = 7
const int16_t | BUTTON_PIN = 0
const int8_t | UP = 1
const int8_t | DOWN = 2
const int8_t | LEFT = 3
const int8_t | RIGHT = 4
const int8_t | SELECT = 5
static int8_t | demo_board_connected
static float | LTC2756_lsb = 3.8146972656e-5
static int32_t | LTC2756_offset = 0x20000
static int16_t | pos
static int8_t | volts [5] = {0, 0, 0, 0, 0}
static int8_t | hex [5] = {0x00, 0x00, 0x00, 0x00,0x02}
static uint8_t | HEX_DEC
bool | sign = 0

## Function Documentation

## ◆ display_decimal()

static void display_decimal | ( |  | ) |
| static

Definition at line 226 of file Precision_Voltage_Source.ino.

## ◆ display_hex()

static void display_hex | ( |  | ) |
| static

Definition at line 318 of file Precision_Voltage_Source.ino.

## ◆ init_dac()

static void init_dac | ( |  | ) |
| static

Definition at line 155 of file Precision_Voltage_Source.ino.

## ◆ lcd()

LiquidCrystal lcd | ( | RS | ,
|  | E | ,
|  | D4 | ,
|  | D5 | ,
|  | D6 | ,
|  | D7 |
| ) |  |

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Definition at line 125 of file Precision_Voltage_Source.ino.

## ◆ read_switches()

static int8_t read_switches | ( |  | ) |
| static

Definition at line 136 of file Precision_Voltage_Source.ino.

## ◆ set_voltage()

static void set_voltage | ( |  | ) |
| static

Definition at line 185 of file Precision_Voltage_Source.ino.

## ◆ set_voltage_hex()

static void set_voltage_hex | ( |  | ) |
| static

Definition at line 400 of file Precision_Voltage_Source.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 82 of file Precision_Voltage_Source.ino.

## Variable Documentation

## ◆ BUTTON_PIN

const int16_t BUTTON_PIN = 0

Definition at line 61 of file Precision_Voltage_Source.ino.

## ◆ D4

const int16_t D4 = 4

Definition at line 57 of file Precision_Voltage_Source.ino.

## ◆ D5

const int16_t D5 = 5

Definition at line 58 of file Precision_Voltage_Source.ino.

## ◆ D6

const int16_t D6 = 6

Definition at line 59 of file Precision_Voltage_Source.ino.

## ◆ D7

const int16_t D7 = 7

Definition at line 60 of file Precision_Voltage_Source.ino.

## ◆ demo_board_connected

int8_t demo_board_connected
| static

Definition at line 68 of file Precision_Voltage_Source.ino.

## ◆ DOWN

const int8_t DOWN = 2

Definition at line 63 of file Precision_Voltage_Source.ino.

## ◆ E

const int16_t E = 9

Definition at line 56 of file Precision_Voltage_Source.ino.

## ◆ hex

int8_t hex[5] = {0x00, 0x00, 0x00, 0x00,0x02}
| static

Definition at line 75 of file Precision_Voltage_Source.ino.

## ◆ HEX_DEC

uint8_t HEX_DEC
| static

Definition at line 76 of file Precision_Voltage_Source.ino.

## ◆ LEFT

const int8_t LEFT = 3

Definition at line 64 of file Precision_Voltage_Source.ino.

## ◆ LTC2756_lsb

float LTC2756_lsb = 3.8146972656e-5
| static

Definition at line 71 of file Precision_Voltage_Source.ino.

## ◆ LTC2756_offset

int32_t LTC2756_offset = 0x20000
| static

Definition at line 72 of file Precision_Voltage_Source.ino.

## ◆ pos

int16_t pos
| static

Definition at line 73 of file Precision_Voltage_Source.ino.

## ◆ RIGHT

const int8_t RIGHT = 4

Definition at line 65 of file Precision_Voltage_Source.ino.

## ◆ RS

const int16_t RS = 8

Definition at line 55 of file Precision_Voltage_Source.ino.

## ◆ SELECT

const int8_t SELECT = 5

Definition at line 66 of file Precision_Voltage_Source.ino.

## ◆ sign

bool sign = 0

Definition at line 77 of file Precision_Voltage_Source.ino.

## ◆ UP

const int8_t UP = 1

Definition at line 62 of file Precision_Voltage_Source.ino.

## ◆ volts

int8_t volts[5] = {0, 0, 0, 0, 0}
| static

Definition at line 74 of file Precision_Voltage_Source.ino.